
select 
    sum(l_extendedprice* (1 - l_discount/10000)) as revenue 
from 
    LINEITEM, PART 
where 
    (
        p_partkey = l_partkey and 
        p_brand = 'Brand#52' and 
        (
            p_container = 'SM_CASE' or
            p_container = 'SM_BOX' or
            p_container = 'SM_PACK' or
            p_container = 'SM_PKG'
        ) and
        -- p_container in ('SM CASE', 'SM BOX', 'SM PACK', 'SM PKG') and 
        l_quantity >= 40000 and 
        l_quantity <= 40000 + 100000 and 
        p_size between 1 and 5 and 
        (
            l_shipmode = 'AIR' or
            l_shipmode = 'AIR REG'
        ) and
        -- l_shipmode in ('AIR', 'AIR REG') and 
        l_shipinstruct = 'DELIVER IN PERSON'
    ) or (
        p_partkey = l_partkey and 
        p_brand = 'Brand#11' and 
        (
            p_container = 'MED_BAG' or
            p_container = 'MED_BOX' or
            p_container = 'MED_PKG' or
            p_container = 'MED_PACK'
        ) and
        -- p_container in ('MED BAG', 'MED BOX', 'MED PKG', 'MED PACK') and 
        l_quantity >= 180000 and 
        l_quantity <= 180000 + 100000 and 
        p_size between 1 and 10 and 
        (
            l_shipmode = 'AIR' or
            l_shipmode = 'AIR REG'
        ) and
        -- l_shipmode in ('AIR', 'AIR REG') and 
        l_shipinstruct = 'DELIVER IN PERSON' 
    ) or (
        p_partkey = l_partkey and 
        p_brand = 'Brand#51' and 
        (
            p_container = 'LG CASE' or
            p_container = 'LG BOX' or
            p_container = 'LG PACK' or
            p_container = 'LG PKG'
        ) and
        -- p_container in ('LG CASE', 'LG BOX', 'LG PACK', 'LG PKG') and 
        l_quantity >= 290000 and 
        l_quantity <= 290000 + 100000 and 
        p_size between 1 and 15 and 
        (
            l_shipmode = 'AIR' or
            l_shipmode = 'AIR REG'
        ) and
        -- l_shipmode in ('AIR', 'AIR REG') and 
        l_shipinstruct = 'DELIVER IN PERSON'
    );
